package com.dcsoft.system.vehicle.mapper;

import com.dcsoft.system.vehicle.domain.CarChargeItem;

import java.util.List;

/**
 * 收费配置子项Mapper接口
 *
 * @author dcsoft
 * @date 2024-01-24
 */
public interface CarChargeItemMapper
{
    /**
     * 查询收费配置子项
     *
     * @param id 收费配置子项主键
     * @return 收费配置子项
     */
    public CarChargeItem selectCarChargeItemById(Long id);

    /**
     * 查询收费配置子项列表
     *
     * @param carChargeItem 收费配置子项
     * @return 收费配置子项集合
     */
    public List<CarChargeItem> selectCarChargeItemList(CarChargeItem carChargeItem);

    /**
     * 新增收费配置子项
     *
     * @param carChargeItem 收费配置子项
     * @return 结果
     */
    public int insertCarChargeItem(CarChargeItem carChargeItem);

    /**
     * 修改收费配置子项
     *
     * @param carChargeItem 收费配置子项
     * @return 结果
     */
    public int updateCarChargeItem(CarChargeItem carChargeItem);

    /**
     * 删除收费配置子项
     *
     * @param id 收费配置子项主键
     * @return 结果
     */
    public int deleteCarChargeItemById(Long id);

    /**
     * 批量删除收费配置子项
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCarChargeItemByIds(Long[] ids);

    public int deleteChargeItemByChargeId(Long id);
}
